﻿namespace NHSE.Core
{
    /// <summary>
    /// Learned Emotions that can be used from the Reaction Wheel
    /// </summary>
    public enum Reaction : byte
    {
        None,
        Happiness, // Smiling
        Laughter, // Laughing
        Joy, // HappyFlower
        Love, // Love
        Glee, // HappyDance
        UNUSED_6, // Anger (Unused)
        Aggravation, // Outraged
        UNUSED_8, // Outrage (Unused)
        Worry, // Worried
        Sighing, // Sighing
        Thought, // Thinking
        Sadness, // SadSpiral
        Distress, // Frantic
        Sorrow, // Crying
        Amazed, // Shocked
        Surprise, // Aha
        UNUSED_17, // Disbelief (Unused)
        Shocked, // Surprised
        Cold_Chill, // ColdChill
        Fearful, // Shaking
        Agreement, // Nodding
        Inspiration, // IdeaBulb
        Curiosity, // QuestionMark
        Heartbreak, // BrokenHeart
        Sleepy, // Sleepy
        Bashfulness, // Blushing
        Resignation, // OhGeez
        Mischief, // Scheming
        Delight, // Clapping
        Sneezing, // Sneezing
        Encouraging, // Cheering
        Greetings, // Greeting
        Pride, // SmugFace
        UNUSED_34, // Sweating (Unused)
        Smirking, // Grin
        Sheepishness, // WrySmile
        UNUSED_37, // Smile (Unused)
        UNUSED_38, // Sunniness (Unused)
        Shyness, // Hesitate
        Disagreement, // Negative
        Mistaken, // Oops
        Flourish, // Dance
        Daydreaming, // AbsentMindedness
        Showmanship, // Shaki
        Dozing, // Sleep
        UNUSED_46, // Shrunk Funk Shuffle (Unused)
        Intense, // Silent
        Pleased, // Hello
        UNUSED_49, // Distress without the hand movements? (Unused)
        UNUSED_50, // Smiling and rubbing cheek (Unused)
        UNUSED_51, // Poking hands together (Unused)
        UNUSED_52, // Intense but frowning (Unused)
        UNUSED_53, // Amazed with smaller particles (Unused)
        Apologetic, // Apologize
        Confident, // Assent
        UNUSED_56, // Talking (Unused)
        UNUSED_57, // Clapping with no expression (Makes you stand up if sitting down) (Unused)
        Bewilderment, // Pardon
        UNUSED_59, // Greetings with no sound or expression (Unused)

        Scare, // AddPrank 
        Haunt, // AddScaring 
        SitDown, // AddSitDown 
        Yoga, // AddYoga 
        HereYouGo, // AddHereYouGo 
        WorkOut, // AddGymnastics
        TakeAPicture, // AddTakePictures 
        SniffSniff, // AddSmell 
        Tada, // AddPraise 
        WaveGoodbye, // AddWaveHands 
        Excited, // AddExcited 

        Confetti, // (Festivale DLC)
        Viva, // (Festivale DLC)
        LetsGo, // (Festivale DLC)
        FeelinIt, // (Festivale DLC)

        UNUSED_75, // Gullivar about to come alive (Unused)
        UNUSED_76, // Intense shake action (Unused)
        UNUSED_77, // Literally the "roll safe" meme (google it) (Unused)
        UNUSED_78, // Leave it to me! (Unused)
        UNUSED_79, // K.K. Slider Sitting (Unused)
        UNUSED_80, // K.K. nodding while sitting (Unused)
        UNUSED_81, // K.K. thinking while sitting (Unused)
    }
}
